commit: 5353fd18da3469a1d4d4311750de29e03674adaf
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 5 21:45:38 2026 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Mar 5 21:45:38 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5353fd18
app-emulation/protontricks: Version bump to 1.14.0
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
app-emulation/protontricks/Manifest | 1 +
.../protontricks/protontricks-1.14.0.ebuild | 59 ++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/app-emulation/protontricks/Manifest
b/app-emulation/protontricks/Manifest
index aa4fe9cfe790..92b63cdfa408 100644
--- a/app-emulation/protontricks/Manifest
+++ b/app-emulation/protontricks/Manifest
@@ -1 +1,2 @@
DIST protontricks-1.13.1.tar.gz 182965 BLAKE2B
61d80914b89e17cb2eade6265676dde35d85a18836467bf8c177c03c4935c50e9200bc41f50fc826e6a287b6c30d88c3dba597eb885ad9e1333c6140c4794309
SHA512
8f50ea609ffff37b82adbcbdd8ed5a2c305e25300b253fc072b0a22d10bd88c71e3756d215e7d462b59be1c251aa6220f9e9f1c5fc72a18f47edfd456a744ecc
+DIST protontricks-1.14.0.tar.gz 186898 BLAKE2B
b4e7229b47f580b00d2a4cf71627268f4d8cf99abf053b06fc98dee2be15ebc62d4f1f7393a671d94c10bb43258b72fbbbb0828f985a6660c8500fdc194a1474
SHA512
74557c18f45429307a3d4732d5974d0c6cd1f057acb50cfdad76e740cefd22517f21c5a885089587b64f19f010da4c3d8fa72aba81dffa02c2bcb6517917b1d9
diff --git a/app-emulation/protontricks/protontricks-1.14.0.ebuild
b/app-emulation/protontricks/protontricks-1.14.0.ebuild
new file mode 100644
index 000000000000..227958c63887
--- /dev/null
+++ b/app-emulation/protontricks/protontricks-1.14.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} pypy3 pypy3_11 )
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="app-emulation/winetricks wrapper for Proton (Steam Play) games"
+HOMEPAGE="https://github.com/Matoking/protontricks"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+gui"
+
+RDEPEND="
+ app-emulation/winetricks[gui?]
+ sys-apps/bubblewrap
+ $(python_gen_cond_dep '
+ dev-python/pillow[${PYTHON_USEDEP}]
+ >=dev-python/vdf-3.4_p20240630[${PYTHON_USEDEP}]
+ ')
+ gui? ( gnome-extra/zenity )"
+BDEPEND="$(python_gen_cond_dep '
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+')"
+
+DOCS=( CHANGELOG.md README.md )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+ sed -i "/^from /s/\._vdf/vdf/g" src/protontricks/steam.py || die
+ rm -r src/protontricks/_vdf || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+
+ elog
+
+ if ! use gui; then
+ ewarn "Please note that disabling USE=gui does *not* presently
remove the --gui command-line option,"
+ ewarn "it just means using this option will fail unless
gnome-extra/zenity happens to be installed."
+ ewarn
+ fi
+
+ elog "Protontricks can only find games for which a Proton prefix
already exists."
+ elog "Make sure to run a Proton game at least once before trying to use
protontricks on it."
+ elog
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}